package test

import (
	"os"

	"github.com/infraboard/mcube/v2/ioc"
)

// 用于设置测试环境的函数，比如初始化日志系统，配置环境变量等
func Setup() {
	// 配置文件的逻辑
	// 和我们本地运行时的保存一致, etc/application.toml, 这是一个相对路径(工程名称)
	// 点击单元测试的时候, 单元测试的运行目录是变化的，因此这里需要给绝对逻辑
	ioc.DevelopmentSetupWithPaths(os.Getenv("workspaceFolder") + "/agent/etc/application.toml")
}
